diff options
author | Simon McVittie <simon.mcvittie@collabora.co.uk> | 2006-12-18 20:33:56 +0000 |
---|---|---|
committer | Simon McVittie <simon.mcvittie@collabora.co.uk> | 2006-12-18 20:33:56 +0000 |
commit | e6eb7b5307da2a446e1c8c6b0cb6b11fc6705b00 (patch) | |
tree | 3315ae510245c0a0b4d791b7c1d73f1bc01afdce /tools | |
parent | 73457d0e435f4a9be9a9980fb06dd004b87c6647 (diff) |
Switch to autotools and test with Python 2.5 as well as 2.4.
In the process:
HACKING.txt: update
include/dbus-python.h: add some typedefs to make it saner
bus.c, conn.c, conn-methods.c: further alter docstrings to keep epydoc happy
exceptions.c: create exceptions in a more longwinded way for Python 2.5 compatibility
message-get-args.c, bus/__init__.py: tweak docstrings
dbus/introspect_parser.py: make docstring valid reStructuredText
run-test.sh: simplify, since configure now does some of the work
test/*.py: use paths from run-test.sh, cope with out-of-tree builds
test-standalone.py: carry out additional sanity checks
Diffstat (limited to 'tools')
-rwxr-xr-x | tools/run-with-tmp-session-bus.sh | 65 | ||||
-rw-r--r-- | tools/session.conf | 24 |
2 files changed, 0 insertions, 89 deletions
diff --git a/tools/run-with-tmp-session-bus.sh b/tools/run-with-tmp-session-bus.sh deleted file mode 100755 index 0ebf228..0000000 --- a/tools/run-with-tmp-session-bus.sh +++ /dev/null @@ -1,65 +0,0 @@ -#! /bin/bash - -SCRIPTNAME=$0 -WRAPPED_SCRIPT=$1 -shift - -function die() -{ - if ! test -z "$DBUS_SESSION_BUS_PID" ; then - echo "killing message bus "$DBUS_SESSION_BUS_PID >&2 - kill -9 $DBUS_SESSION_BUS_PID - fi - echo $SCRIPTNAME: $* >&2 - exit 1 -} - -if test -z "$DBUS_TOP_BUILDDIR" ; then - die "Must set DBUS_TOP_BUILDDIR" -fi - -## convenient to be able to ctrl+C without leaking the message bus process -trap 'die "Received SIGINT"' SIGINT - -CONFIG_FILE=./run-with-tmp-session-bus.conf -SERVICE_DIR="`pwd`/test/data/valid-service-files" -ESCAPED_SERVICE_DIR=`echo $SERVICE_DIR | sed -e 's/\//\\\\\\//g'` -echo "escaped service dir is: $ESCAPED_SERVICE_DIR" >&2 - -## create a configuration file based on the standard session.conf -cat tools/session.conf | \ - sed -e 's/<servicedir>.*$/<servicedir>'$ESCAPED_SERVICE_DIR'<\/servicedir>/g' | \ - sed -e 's/<include.*$//g' \ - > $CONFIG_FILE - -echo "Created configuration file $CONFIG_FILE" >&2 - -export PATH=$DBUS_TOP_BUILDDIR/bus:$PATH -## the libtool script found by the path search should already do this, but -export LD_LIBRARY_PATH=$DBUS_TOP_BUILDDIR/dbus/.libs:$LD_LIBRARY_PATH - -unset DBUS_SESSION_BUS_ADDRESS -unset DBUS_SESSION_BUS_PID - -#export DBUS_VERBOSE=1 -echo "Running dbus-launch --sh-syntax --config-file=$CONFIG_FILE" >&2 -eval `dbus-launch --sh-syntax --config-file=$CONFIG_FILE` - -if test -z "$DBUS_SESSION_BUS_PID" ; then - die "Failed to launch message bus for introspection generation to run" -fi - -echo "Started bus pid $DBUS_SESSION_BUS_PID at $DBUS_SESSION_BUS_ADDRESS" >&2 - -# Execute wrapped script -echo "Running $WRAPPED_SCRIPT $@" >&2 -$WRAPPED_SCRIPT "$@" || die "script \"$WRAPPED_SCRIPT\" failed" - -kill -TERM $DBUS_SESSION_BUS_PID || die "Message bus vanished! should not have happened" && echo "Killed daemon $DBUS_SESSION_BUS_PID" >&2 - -sleep 2 - -## be sure it really died -kill -9 $DBUS_SESSION_BUS_PID > /dev/null 2>&1 || true - -exit 0 diff --git a/tools/session.conf b/tools/session.conf deleted file mode 100644 index 73a38f1..0000000 --- a/tools/session.conf +++ /dev/null @@ -1,24 +0,0 @@ -<!-- This configuration file controls the per-user-login-session message bus. - Add a session-local.conf and edit that rather than changing this - file directly. --> - -<!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN" - "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd"> -<busconfig> - <!-- Our well-known bus type, don't change this --> - <type>session</type> - - <listen>unix:tmpdir=./</listen> - - <servicedir></servicedir> - - <policy context="default"> - <!-- Allow everything to be sent --> - <allow send_destination="*"/> - <!-- Allow everything to be received --> - <allow eavesdrop="true"/> - <!-- Allow anyone to own anything --> - <allow own="*"/> - </policy> - -</busconfig> |